(*
 *  beware IRC services, pgstuff.pas
 *  Copyright (C) 2002-2005 Bas Steendijk and Peter Green
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *)
unit pgstuff;

interface
function randompassword:string;
function validcomname(s:string):boolean;


implementation

uses
  bstuff,bircrandom;
function randompassword:string;
begin
  result := p10inttostr(ircrandom and $3FFFFFFF,5) + p10inttostr(ircrandom and $3FFFF,3);
end;

function validcomname(s:string):boolean;
var
  a:integer;
begin
  result := false;
  if (length(s) > 15) or (s = '') then exit;
  for a := 1 to length(s) do if not (s[a] in ['A'..'Z']) then exit;
  result := true;
end;

end.
